%define anolis_release 2
Name:		cloud-utils-growpart
Version:	0.32
Release:	%{anolis_release}%{?dist}
License:	GPLv3
Group:		System Environment/Base
Source0:	https://launchpad.net/cloud-utils/trunk/0.32/+download/cloud-utils-0.32.tar.gz
URL:		https://launchpad.net/cloud-utils
Source1:	LICENSE

BuildArch:	noarch

Summary:	Script for growing a partition

Requires:	gawk
Requires:	util-linux

%description
This package provides the growpart script for growing a partition. It is
primarily used in cloud images in conjunction with the dracut-modules-growroot
package to grow the root partition on first boot.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n cloud-utils-%{version} -p1

%build

%install
cp %{SOURCE1} LICENSE

# Create the target directories
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1

# Install the growpart binary and man page
cp bin/growpart $RPM_BUILD_ROOT/%{_bindir}/
cp man/growpart.* $RPM_BUILD_ROOT/%{_mandir}/man1/

%generate_compatibility_deps

%files
%license LICENSE
%dir %{abidir}
%{_bindir}/growpart
%{abidir}/growpart-option.list
%doc %{_mandir}/man1/growpart.*

%files doc
%doc ChangeLog README.md

%changelog
* Tue Mar 14 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.32-2
- add doc and abi files

* Fri Mar 11 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.32-1
- Init from upstream version 0.32

